package  {
	import flash.events.Event;

	public class CommandEvent extends Event {
		
		public static const COMPLETE:String = "MCommandComplete";
		public static const ERROR:String = "MCommandError";
		
		private var _data:Object;
		
		public function CommandEvent(type:String, data:Object = null, bubbles:Boolean = false, cancelable:Boolean = false) {
			super(type, bubbles, cancelable);
			_data = data;
		}
		
		override public function clone():Event {
			return new CommandEvent(type, _data, bubbles, cancelable);
		}
		
		public function get data():Object {return _data;}
		public function set data(data:Object):void {_data = data;}
		
	}
}
