package com.mousman.as3.agal.camera 
{
	import flash.geom.Matrix3D;
	import flash.geom.Vector3D;
	/**
	 * ...
	 * @author Mousman
	 */
	public class BasicCamera implements IMCamera 
	{
		private var _matrix:Matrix3D;
		private var _cameraPos:Vector3D;
		
		public function BasicCamera(pos:Vector3D) 
		{
			_cameraPos = pos;
			init();
		}
		//----------------------------------------------------------------------------------------------		
		//----------------------------------------------------------------------------------------------
		private function init():void 
		{
			_matrix = new Matrix3D();
			_matrix.appendTranslation(_cameraPos.x, _cameraPos.y, _cameraPos.z);				
		}
		//----------------------------------------------------------------------------------------------		
		//----------------------------------------------------------------------------------------------
		public function get matrix():Matrix3D {return _matrix;}
		public function set matrix(value:Matrix3D):void { _matrix = value; }		
		
		public function get position():Vector3D {return _cameraPos;}
		public function set position(value:Vector3D):void { 
			_cameraPos = value;	
			_matrix = new Matrix3D();
			_matrix.appendTranslation(_cameraPos.x, _cameraPos.y, _cameraPos.z);	
		}
	}

}